2020-07-02 10:38 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003657Spring engineGeneralpublic2013-04-15 18:31
ReporterSupermuckl 
Assigned Toabma 
PriorityhighSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target Version95.0Fixed in Version 
Summary0003657: spring exit after long waittime
Descriptionafter a longer game/battle, the spring-dedicated exit really late - most ppl try to stopvote the server then.

it indeed stops after a while but it takes like 1min or more for as example a bigger speedmetal game...

old spring version was exiting very fast (some seconds max ~5sec)
Steps To Reproduceplay long game with much trouble in it (big unitcount maybe)
look how long it takes until spads says that spring process exit normally
Additional Information94.1 static linux x64
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
related to 0003647resolvedzerver KP/m in endgame stats are sometimes negative 
+Relationships

-Notes

~0010308

zerver (reporter)

Possibly the server does not know the game ended and players quit due to 0003647, so exits only after a timeout

~0010309

Supermuckl (reporter)

[23:12:36] <[TERA]Host2> [TERA]Host2 is running SPADS v0.11.6a (auto-update: testing), with following components:
[23:12:36] <[TERA]Host2> - Perl v5.14.2
[23:12:36] <[TERA]Host2> - Spring v94
[23:12:36] <[TERA]Host2> - PerlAutoHostInterface v0.8
[23:12:36] <[TERA]Host2> - SimpleLog v0.4
[23:12:36] <[TERA]Host2> - PerlLobbyInterface v0.15
[23:12:36] <[TERA]Host2> - SpadsUpdater v0.6d
[23:12:36] <[TERA]Host2> - SpadsConf v0.11.2

~0010454

Supermuckl (reporter)

please someone fix that problem
80% of the games are stopped manually cause of this bug
and sometimes if stopped to fast, trueskill gets no new values cause of game ended undecided

~0010457

silentwings (reporter)

Since it doesn't happen to everyone it looks very hard to work out what the problem is from this info - could you upload an infolog of (1) a game where it happened that was stopped and (2) a game where it happened and exited cleanly after a long wait?

~0010458

zerver (reporter)

I am 95% sure it is the (already fixed) network issue 0003647

~0010460

abma (administrator)

seems to work for me:

http://zero-k.info/Battles/Detail/162158
+Notes

-Issue History
Date Modified Username Field Change
2013-03-28 22:49 Supermuckl New Issue
2013-03-28 23:00 zerver Relationship added related to 0003647
2013-03-28 23:01 zerver Note Added: 0010308
2013-03-28 23:12 Supermuckl Note Added: 0010309
2013-04-04 19:52 abma Target Version => 95.0
2013-04-15 00:35 Supermuckl Note Added: 0010454
2013-04-15 09:39 silentwings Note Added: 0010457
2013-04-15 12:16 zerver Note Added: 0010458
2013-04-15 18:31 abma Note Added: 0010460
2013-04-15 18:31 abma Status new => resolved
2013-04-15 18:31 abma Resolution open => fixed
2013-04-15 18:31 abma Assigned To => abma
+Issue History